package com.djhk.uav.policeWarLawLibrary.mapper;

import com.djhk.uav.policeWarLawLibrary.domain.PoliceWarLawLibrary;
import com.djhk.uav.policeWarLawLibrary.domain.warNameVo;

import java.util.List;

/**
 * 战法库Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-21
 */
public interface PoliceWarLawLibraryMapper 
{
    /**
     * 查询战法库
     * 
     * @param id 战法库主键
     * @return 战法库
     */
    public PoliceWarLawLibrary selectPoliceWarLawLibraryById(Long id);

    /**
     * 查询战法库列表
     * 
     * @param policeWarLawLibrary 战法库
     * @return 战法库集合
     */
    public List<PoliceWarLawLibrary> selectPoliceWarLawLibraryList(PoliceWarLawLibrary policeWarLawLibrary);

    /**
     * 新增战法库
     * 
     * @param policeWarLawLibrary 战法库
     * @return 结果
     */
    public int insertPoliceWarLawLibrary(PoliceWarLawLibrary policeWarLawLibrary);

    /**
     * 修改战法库
     * 
     * @param policeWarLawLibrary 战法库
     * @return 结果
     */
    public int updatePoliceWarLawLibrary(PoliceWarLawLibrary policeWarLawLibrary);

    /**
     * 删除战法库
     * 
     * @param id 战法库主键
     * @return 结果
     */
    public int deletePoliceWarLawLibraryById(Long id);

    /**
     * 批量删除战法库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePoliceWarLawLibraryByIds(Long[] ids);

    List<warNameVo> warNameList(PoliceWarLawLibrary policeWarLawLibrary);

    int removeByWarName(String warName);
}
